Subject: Re: [PATCH] is_hfs_dotgit: loosen over-eager match of \u{..47}

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Dec 2014 10:17:20 -0800

Torsten Bögershausen <[email-masked]> writes:

> Don't we have the same possible problem under NTFS?
> Under Linux + VFAT ?
> Under all OS + VFAT ?

I do not think so, as NTFS codepath does not use the (previouly too
wide but now fixed) is_hfs_dotgit() in the first place, and
is_ntfs_dotgit() does not read one unicode codepoint at a time if I
remember correctly.

> And what happens if I export NTFS to Mac OS X?
> (Other combinations possible)
> Shouldn't fsck under all OS warn for NTFS and hfs possible attacks ?

Doesn't it?  Have you read the whole series you are commenting on?